<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	// Add the blog name.
	bloginfo( 'name' );
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'skyali' ), max( $paged, $page ) );

	?></title>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/style.css" />
<?php if(get_option('skypanel_londonlive_featured_style') == 'Featured Long' || get_option('skypanel_londonlive_featured_style') == '') { ?>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/scripts/css/skins/featured_long_style.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/scripts/css/featured_long.css" />
<?php } else { ?>
 <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/scripts/css/featured_slider.css" />  
<?php } ?>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/scripts/css/tabs.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/scripts/css/firstnavigation.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/scripts/css/secondnavigation.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri();?>/scripts/css/skins/<?php display_stylesheet(); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/scripts/css/skins/slider/skyali/skin.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/scripts/css/prettyPhoto.css" />

<?php wp_head(); ?>


<!--[if IE 7]>
        <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/scripts/css/ie7.css">
<![endif]-->

</head>

<body>

<div id="container">

<div id="headernavigation">

<div class="navigation">
 <?php if ( has_nav_menu( 'top-menu' ) ) : ?>
					<?php wp_nav_menu( array( 'theme_location' => 'top-menu', 'menu_class' => 'firstnav-menu sf-menu', 'container' => '' ) ); ?>
                    <?php else :  ?>
<ul class="firstnav-menu">
<?php if (is_home() OR is_front_page()) $select = "selected"; else $select = "page_item"; ?>
<li><a href="<?php bloginfo('url'); ?>" class="<?php echo $select; ?> home_link"><?php _e('Home', 'skyali') ?></a></li>
<?php wp_list_pages('sort_column=menu_order&depth=6&title_li=&exclude='.check_exclude_top_navigation().'');?>
</ul>
<?php endif; ?>
<?php display_icons(); ?>
</div><!-- #navigation closer -->
</div><!-- #headernavigation closer -->
<div id="content">
<div id="white_space">
<div id="content_holder">
<div id="header">
<?php site_logo(); //display site logo ?>
<?php display_468x60(); ?>
</div><!-- #header closer -->
<div id="categories">
    <?php if ( has_nav_menu( 'second-menu' ) ) : ?>
					<?php wp_nav_menu( array( 'theme_location' => 'second-menu', 'menu_class' => 'secondnav-menu sf-js-enabled sf-menu', 'container' => '' ) ); ?>
                    <?php else : ?>
<ul class="secondnav-menu">             
<?php wp_list_categories('title_li=&order=desc&exclude='.check_exclude_categories().''); ?>
</ul>
<?php endif; ?>

</div><!-- #categories closer -->
<div class="cat_line"></div>

<?php if(get_option('skypanel_londonlive_featured_style') == 'Featured Long' || get_option('skypanel_londonlive_featured_style') == ''){ 
if (is_home()) :
 include_once('includes/featured_long.php'); 
 endif; 
 } ?>
<?php wp_reset_query(); ?>
<div id="middle">
<?php display_left(); ?>