<?php
//*** SHOW PAGE FUNCTIONS ***//

//site logo text or image
function site_logo(){
	if(get_option('skypanel_londonlive_logo_settings') == 'Text Logo'){ echo '<h1 style="color:#000; font-size:52px; margin-top:20px; float:left; font-family:Times New Roman;" >'.get_bloginfo('name').'</h1>'; } else {
	echo '<a href="'.get_bloginfo('url').'">';
	if(get_option('skypanel_londonlive_top_logo_url') != '')
  { echo '<img src="'.get_option('skypanel_londonlive_top_logo_url').'"  border="0" alt="'.get_bloginfo('name').'" class="logo"  />';}
	else{ echo'<img src="'.get_template_directory_uri().'/images/london_live.png" border="0" alt="'.get_bloginfo('name').'" class="logo"  />'; }
	echo'</a>';
 }
}

//footer widget option
function footer_widget_option(){
	if(get_option('skypanel_londonlive_footer_widget') == 'Disabled'){
		echo 'class="hideobject"';
	}
}

//get pages to exclude from database
function exclude_top_navigation(){
	$exclude =  get_option('skypanel_londonlive_exclude_top_navigation_pages');
    $exclude_new = implode(',', $exclude);
    return $exclude_new;
}

//check and see if there is any pages to exclude in the top navigation if not then do not display the function
function check_exclude_top_navigation(){
	$check_exclude = get_option('skypanel_londonlive_exclude_top_navigation_pages');
	if(!empty($check_exclude)){
		return exclude_top_navigation();	
	}
}

//get categories to exclude from datebase
function exclude_categories(){
	$exclude_c = get_option('skypanel_londonlive_exclude_categories');
	$exclude_c_new = implode(',', $exclude_c);
	return $exclude_c_new;
}

//check and see iff there is any categories to exclude.
function check_exclude_categories(){
	$check_exclude = get_option('skypanel_londonlive_exclude_categories');
	if(!empty($check_exclude)){
		return exclude_categories();
	}
}

//display 468 x 60 ad
function display_468x60(){
	$image_468 = get_option('skypanel_londonlive_image_url');
	if(get_option('skypanel_londonlive_ad_options') == 'Disabled'){
	$disable = 'hideobject';
	}
	echo '<div class="ad '.$disable.'">';
	$ad_code = get_option('skypanel_londonlive_ad_code');
	if(!empty($ad_code))
	{
	echo $ad_code;	
    }
    elseif(!empty($image_468)){
	echo '<a href="'.get_option('skypanel_londonlive_image_link_address').'"><img src="'.get_option('skypanel_londonlive_image_url').'" alt="468 X 60"  /></a>';
	}
	else{
	echo '<img src="'.get_template_directory_uri().'/images/468-60.png" alt="468 X 60" />';
	}
	echo'</div><!-- #ad 468x60 closer -->';
}

//tabs option
function tabs_option(){
	if(get_option('skypanel_londonlive_sidebar_tabs_options') == 'Disabled'){
		echo 'hideobject';
	}
}
//featured option
function featured_option(){
	if(get_option('skypanel_londonlive_featured_option') == 'Disabled'){
		echo 'class="hideobject"';
	}
}
//display featured
function display_featured(){
	if(get_option('skypanel_londonlive_featured_style') == 'Featured Post'){
		$featured = 'featured_2';
	}
	else{
		$featured = 'featured';
	}
	return $featured;
}
//display follow icons
function display_icons(){
	echo '<div class="icon_holder">';
		if(get_option('skypanel_londonlive_rss_icon') == 'Enabled' ){
		
		echo '<a href="'.get_bloginfo('url').'?feed=rss2"><img src="'.get_template_directory_uri().'/images/rss.png" alt="Subscribe to our Rss" class="shareimg"  /></a>';
	}
	if(get_option('skypanel_londonlive_twitter_icon') == 'Enabled' ){
		echo '<a href="http://www.twitter.com/'.get_option('skypanel_londonlive_twitter_username').'"><img src="'.get_template_directory_uri().'/images/twitter.png" alt="Follow us on Twitter!" class="shareimg" /></a>';
	}
		if(get_option('skypanel_londonlive_facebook_icon') == 'Enabled' ){
		echo '<a href="http://www.facebook.com/'.get_option('skypanel_londonlive_facebook_username').'"><img src="'.get_template_directory_uri().'/images/facebook.png" alt="Follow us on Facebook!" class="shareimg" /></a>';
	}
			if(get_option('skypanel_londonlive_youtube_icon') == 'Enabled' ){
		echo '<a href="http://www.youtube.com/user/'.get_option('skypanel_londonlive_youtube_username').'"><img src="'.get_template_directory_uri().'/images/youtube.png" alt="Check out our Youtube!" class="shareimg"  /></a>';
	}
    echo'</div><!-- #icon holder closer -->';
}
//display stylesheet
function display_stylesheet(){
	if(get_option('skypanel_londonlive_select_stylesheet') == 'Bright'){
		echo 'white-black/white-black.css';
	}
	elseif(get_option('skyali_londonlive_stylesheet') == '3'){
		echo 'white-grey/white-grey.css';
	}
	else{
		echo 'default.css';
	}
}

//display left content

function display_left(){
	
	$url = get_page_template();
	
    $filename = basename($url);
     
	if(is_home() == true){
		echo '<div id="left">';
	}
	elseif($filename == 'template-fullwidth.php'){
		echo '<div id="left_no_sidebar">';
	}
	else{
		echo '<div id="left" style="width:605px;">';
	}
}

//disable share bar if user disables it
function disable_share(){
	if(get_option('skypanel_londonlive_share_bar') == 'Disabled'){
		echo 'hideobject';
	}
}
//disable author
function disable_author(){
	if(get_option('skypanel_londonlive_about_author') == 'Disabled'){
		echo 'hideobject';
	}
}
//disable blog image
function disable_blog_img(){
	if(get_option('skypanel_londonlive_featured_blog_post_image') == 'Disabled'){
		echo 'hideobject';
	}
}

//disable slider
function disable_slider(){
	if(get_option('skypanel_londonlive_slider') == 'Disabled' || get_option('skypanel_londonlive_slider') == ''){
		echo 'hideobject';
	}
}

//disable related articles
function disable_related_articles(){
	if(get_option('skypanel_londonlive_related_articles_options') == 'Disabled'){
		echo 'hideobject';
}
}

//add class's/id's to the previous/next links
add_filter('next_posts_link_attributes', 'posts_link_attributes');

add_filter('previous_posts_link_attributes', 'posts_link_attributes');
 
function posts_link_attributes(){
    return 'class="submit-black nav"';
}

//add class's/id's to the previus/next comment links
add_filter('previous_comments_link_attributes', 'comments_link_attributes');
add_filter('next_comments_link_attributes', 'comments_link_attributes');

function comments_link_attributes(){
	return 'class="submit-black nav"';
}
?>
