<?php /*Short Code Functions */ ?>
<?php 

function shortcode_whitebutton( $atts, $content = null ) {
    extract(shortcode_atts(array(
        'link'      => '#',
        ), $atts));
   return '<a href="'.$link.'" class="submit white-b">' . do_shortcode($content) . '</a>';
}

add_shortcode('whitebutton', 'shortcode_whitebutton');

function shortcode_blackbutton( $atts, $content = null ) {
    extract(shortcode_atts(array(
        'link'      => '#',
        ), $atts));
   return '<a href="'.$link.'" class="submit-black black-b">' . do_shortcode($content) . '</a>';
}

add_shortcode('blackbutton', 'shortcode_blackbutton');

function shortcode_right_image($atts, $content = null){
	extract(shortcode_atts(array(
	'link' => '#'), $atts));
	return '<p><a href="'.$link.'"><img src="' . do_shortcode($content) . '" align="right" class="shortcode_right_image"/></a></p>';
}

add_shortcode('right_image', 'shortcode_right_image');

function shortcode_left_image($atts, $content = null){
	extract(shortcode_atts(array(
	'link' => '#'), $atts));
	return '<p><a href="'.$link.'"><img src="' . do_shortcode($content) . '" align="left" class="shortcode_left_image"/></a></p>';
}

add_shortcode('left_image', 'shortcode_left_image');

function shortcode_highlight( $atts, $content = null ) {
   return '<span class="shortcode_highlight">' . do_shortcode($content) . '</span>';
}

add_shortcode('highlight', 'shortcode_highlight');


function shortcode_line( $atts, $content = null)
{

   return '<div class="line"></div>';
}
add_shortcode('line', 'shortcode_line');


function shortcode_dropcap( $atts, $content = null ) {
   return '<span class="dropcap">' . do_shortcode($content) . '</span>';
}

add_shortcode('dropcap', 'shortcode_dropcap');



?>